Name:     	monodevelop-database
Version:	2.8.2
Release:	%mkrel 1
License:	MIT
BuildArch:      noarch
URL:		http://www.go-mono.com
Source0:	http://download.mono-project.com/sources/monodevelop-database/%{name}-%{version}.tar.bz2
BuildRequires:	mono-devel
BuildRequires:  monodevelop >= %version
BuildRequires:  gnome-desktop-sharp-devel
BuildRequires:  mysql-connector-net-devel
BuildRequires:	mono-addins-devel
Summary:	Monodevelop Database Addin
Group:		Development/Other

%description
Monodevelop Database Addin
	  
%package devel
Summary: Development files for MonoDevelop Database Add-in
Group:	 Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Database Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development 
files for %{name}.

%prep
%setup -q
cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql

%build
./configure --prefix=%_prefix
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#missed monodevelop addins
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %name.lang
%defattr(-, root, root)
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/icons/
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/

%files devel
%defattr(-,root,root,-)
%_prefix/lib/pkgconfig/monodevelop-database.pc




%changelog

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga1
+ Revision: 162517
- Porting monodevelop-database to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162098
- new version 2.8.2

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154195
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144611
- fix group
- new version 2.6.0.1

* Thu Jul 14 2011 anaselli <anaselli> 2.4-3.mga2
+ Revision: 124266
- Added missed line when imported

* Sun Jul 03 2011 anaselli <anaselli> 2.4-2.mga2
+ Revision: 117775
- Fix devel package

  + stblack <stblack>
    - imported package monodevelop-database

